import arcade
from importlib import resources


class Token(arcade.Sprite):
    """ Token sprite """

    def __init__(self, token_type, scale=1):
        # Attributes for token type
        self.token_type = token_type

        with resources.path("jacovirt", 'Img') as img_folder :
            self.image_file_name = f"{img_folder}/pad/token/{self.token_type}.png"

        # Call the parent
        super().__init__(self.image_file_name, scale, hit_box_algorithm="None")
